<div
  *ngIf="showModal$ | async"
  class="bg-modal"
  [class.close-in-progress]="isClosing"
>
  <div
    class="modal"
    [class.big-modal]="isBigModal"
    [class.close-in-progress]="isClosing"
  >
    <div class="container-close" *ngIf="showClose">
      <img
        class="icon"
        src="/app/presentation/assets/img/icons/close.svg"
        (click)="onClose()"
      />
    </div>
    <div class="container-modal">
      <ng-content></ng-content>
    </div>
  </div>
</div>
